---
type: api
title: Stop instances
description: Stops instances belonging to a Deployment Resource.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud/operation/operation-stop-deployment-resource-instances
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud/operation/operation-stop-deployment-resource-instances
products:
  - Elastic Cloud Hosted
---

# Stop instances

- Server: `https://api.elastic-cloud.com/api/v1`

## Paths

- `POST` `/deployments/{deployment_id}/{resource_kind}/{ref_id}/instances/{instance_ids}/_stop`

#### Path Parameters

- `deployment_id` (string)
  Identifier for the Deployment.
- `resource_kind` (string)
  The kind of resource (one of elasticsearch, kibana, apm, or integrations_server).
- `ref_id` (string)
  User-specified RefId for the Resource (or '_main' if there is only one).
- `instance_ids` ([] string)
  A comma-separated list of instance identifiers.

## Description

Stops instances belonging to a Deployment Resource.

## Query String Parameters

- `ignore_missing` (boolean · default: false)
  If true and the instance does not exist then quietly proceed to the next instance, otherwise treated as an error.

## Responses

#### `202`

The stop command was issued successfully.

`application/json`

- `warnings` ([] ReplyWarning)
  List of warnings generated from validating command
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the warning that occurred
#### `403`

The start maintenance mode command was prohibited for the given Resource. (code: `deployments.instance_update_prohibited_error`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `404`

* The Deployment specified by {deployment_id} cannot be found. (code: `deployments.deployment_not_found`)
* The Resource specified by {ref_id} cannot be found. (code: `deployments.deployment_resource_not_found`)
* One or more instances of the given resource type are missing. (code: `deployments.instances_missing_on_update_error`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

#### `500`

A Resource that was previously stored no longer exists. (code: `deployments.deployment_resource_no_longer_exists`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
POST /deployments/{deployment_id}/{resource_kind}/{ref_id}/instances/{instance_ids}/_stop
```

#### curl

```curl
curl -X POST "https://api.elastic-cloud.com/api/v1/deployments/{deployment_id}/{resource_kind}/{ref_id}/instances/{instance_ids}/_stop"
```

